#ifndef LJUTIL_H
#define	LJUTIL_H

typedef volatile s32_t spinlock_t;

#define	SPINLOCK_UNLOCKED	0
#define	SPINLOCK_LOCKED		1

vec_t	frand(vec_t min,vec_t max);
void	vec3Rand(vec3_t pos_ret,vec_t min,vec_t max);
int		ljutil_init(void);

void spin_lock(spinlock_t *lock);
void spin_unlock(spinlock_t *lock);


#endif	/* LJUTIL_H */

